Bug 605897 - Firefox crashes with Flash plugin
Firefox crashes with Flash plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 05:40 EDT by Reto Zingg
Modified: 2018-04-11 02:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old logfile till crash (156.16 KB, text/plain)
2010-06-21 11:17 EDT, Reto Zingg
no flags Details
Xorg.0.log after crash and new login (154.76 KB, text/plain)
2010-06-21 11:17 EDT, Reto Zingg
no flags Details
dmesg taken after the crash (123.71 KB, text/plain)
2010-06-21 11:18 EDT, Reto Zingg
no flags Details
/var/log/messages from bootup till after the crash (87.90 KB, text/plain)
2010-06-21 11:19 EDT, Reto Zingg
no flags Details

  None (edit)
Description Reto Zingg 2010-06-19 05:40:19 EDT
Description of problem:

Browsing web sites with flash causes a crash of X11 and a new login is needed.

Jun 19 12:13:06 laptop kernel: npviewer.bin[17001]: segfault at b74e9054 ip 0119d033 sp bfae2f40 error 4 in libflashplayer.so[dfe000+b04000]


Version-Release number of selected component (if applicable):
firefox-3.6.3-4
flash-plugin-10.1.53.64

How reproducible:


Steps to Reproduce:
1. add adobe-linux-i386.repo to /etc/yum.repos.d/
2. install the flash plugin: yum install flash-plugin
3. set it up as root: /usr/lib/flash-plugin/setup
4. as user (not root), browse any flash website, for me http://opendesktop.org/ leads to a crash within a few minutes.
  
Actual results:
crash with the following entry in /var/log/messages:

Jun 19 12:13:06 laptop kernel: npviewer.bin[17001]: segfault at b74e9054 ip 0119d033 sp bfae2f40 error 4 in libflashplayer.so[dfe000+b04000]

Expected results:
no crash


Additional info:
[root@laptop ~]#  uname -a && rpm -qa firefox\* xulrunner\* nss\* nspr\* flash-plugin\*
Linux laptop 2.6.33.5-124.fc13.i686 #1 SMP Fri Jun 11 09:48:40 UTC 2010 i686 i686 i386 GNU/Linux
flash-plugin-10.1.53.64-release.i386
xulrunner-1.9.2.3-1.fc13.i686
firefox-3.6.3-4.fc13.i686
nspr-4.8.4-2.fc13.i686
nss-sysinit-3.12.6-4.fc13.i686
nss-mdns-0.10-8.fc12.i686
nspr-devel-4.8.4-2.fc13.i686
nss-tools-3.12.6-4.fc13.i686
nss_compat_ossl-0.9.6-1.fc13.i686
nss-devel-3.12.6-4.fc13.i686
nss-3.12.6-4.fc13.i686
nss_ldap-264-9.fc13.i686
nss-util-3.12.6-1.fc13.i686
nss-util-devel-3.12.6-1.fc13.i686
nss-softokn-devel-3.12.4-19.fc13.i686
nss-softokn-3.12.4-19.fc13.i686
nss-softokn-freebl-3.12.6-1.2.fc11.i586
nss_db-2.2.3-0.3.pre1.fc13.i686


[root@laptop ~]# cat /etc/yum.repos.d/adobe-linux-i386.repo 
[adobe-linux-i386]
name=Adobe Systems Incorporated
baseurl=http://linuxdownload.adobe.com/linux/i386/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux


When I disable the plugin in tools/add-ons -> plugins I can browse  http://opendesktop.org/ without problems.
Comment 1 Matěj Cepl 2010-06-20 18:38:47 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Reto Zingg 2010-06-21 11:17:15 EDT
Created attachment 425663 [details]
Xorg.0.log.old logfile till crash
Comment 3 Reto Zingg 2010-06-21 11:17:55 EDT
Created attachment 425666 [details]
Xorg.0.log after crash and new login
Comment 4 Reto Zingg 2010-06-21 11:18:32 EDT
Created attachment 425667 [details]
dmesg taken after the crash
Comment 5 Reto Zingg 2010-06-21 11:19:24 EDT
Created attachment 425669 [details]
/var/log/messages from bootup till after the crash
Comment 6 Reto Zingg 2010-06-21 11:23:14 EDT
(In reply to comment #1)
> Please add drm.debug=0x04 to the kernel command line, restart computer, and
> attach

done

> * your X server config file (/etc/X11/xorg.conf, if available),

I don't have a /etc/X11/xorg.conf:
[root@laptop ~]# ls -la /etc/X11
total 56
drwxr-xr-x.   7 root root  4096 Jun  2 18:14 .
drwxr-xr-x. 133 root root 12288 Jun 21 18:14 ..
drwxr-xr-x.   2 root root  4096 Oct  1  2009 applnk
drwxr-xr-x.   2 root root  4096 May 31 21:36 fontpath.d
-rwxr-xr-x.   1 root root  1361 May  5 19:28 prefdm
lrwxrwxrwx    1 root root    18 Jun  1 23:51 X -> ../../usr/bin/Xorg
drwxr-xr-x.   2 root root  4096 May 31 21:25 xdm
drwxr-xr-x.   5 root root  4096 May 31 22:31 xinit
-rw-r--r--.   1 root root   547 Mar 24 19:31 Xmodmap
-rw-r--r--    1 root root   759 Jun  1 23:51 xorg.conf.backup
-rw-r--r--    1 root root  1419 May 31 20:02 xorg.conf.backup.20100531
drwxr-xr-x.   2 root root  4096 Jun  2 18:06 xorg.conf.d
-rw-r--r--.   1 root root   493 Mar 24 19:31 Xresources

> * X server log file (/var/log/Xorg.*.log)
> * output of the dmesg command, and
> * system log (/var/log/messages)

please see attachments.

I just realized that I do also the following after I logged in:

xrandr --output VGA-0 --auto
xrandr --output LVDS --off

since the LID-Switch is broken there is no way the laptop would know if it's open or not, I do it by hand.
Comment 7 Matěj Cepl 2010-06-28 12:05:06 EDT
Backtrace:
[   869.200] 0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e51dc]
[   869.200] 1: /usr/bin/Xorg (0x8047000+0x5e176) [0x80a5176]
[   869.200] 2: /lib/libc.so.6 (0x85a000+0x2adc0) [0x884dc0]
[   869.200] 3: /lib/libc.so.6 (0x85a000+0x79296) [0x8d3296]
[   869.200] Segmentation fault at address (nil)
[   869.200] 
Fatal server error:
[   869.200] Caught signal 11 (Segmentation fault). Server aborting
[   869.200] 
[   869.200]
Comment 8 Bug Zapper 2011-06-02 06:17:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 14:34:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.